Project

General

Profile

Bug #4976

OpenSSL 1.1.0 support

Added by Pau Garcia i Quiles over 6 years ago. Updated over 6 years ago.

Status:
Feedback
Priority:
Normal
Assignee:
-
Target version:
Start date:
06/14/2016
Due date:
% Done:

0%

Estimated time:

Description

Debian will upgrade to OpenSSL 1.1.0 soon. Wt 3.3.5 fails to build with 1.1.0. I have not tried master (and I will not be able to until next week the soonest).

This is the 3.3.5 build failure log:

https://breakpoint.cc/openssl-1.1-rebuild-2016-05-29/Attempted/witty_3.3.5%2Bdfsg-1_amd64-20160529-1552

Has any work been done on 1.1.0 support?

Thank you

#1

Updated by Koen Deforche over 6 years ago

  • Status changed from New to Feedback

Pau,

This seems to be a boost::asio issue. We need to find out what their plans are, or if this has already been fixed in a later release.

Koen

Also available in: Atom PDF